commit: a02abaff664e11657314a0ac4b12b2fdb6d65e42
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 28 05:59:25 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 28 06:03:14 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a02abaff
dev-python/hypothesis: black is now py3.9
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/hypothesis/hypothesis-5.29.3.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/dev-python/hypothesis/hypothesis-5.29.3.ebuild
b/dev-python/hypothesis/hypothesis-5.29.3.ebuild
index 89b2b4ea6b8..19018a948f1 100644
--- a/dev-python/hypothesis/hypothesis-5.29.3.ebuild
+++ b/dev-python/hypothesis/hypothesis-5.29.3.ebuild
@@ -16,7 +16,7 @@ S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
LICENSE="MPL-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~ia64 ~x86"
IUSE="cli test"
RESTRICT="!test? ( test )"
@@ -27,7 +27,7 @@ RDEPEND="
$(python_gen_cond_dep '
dev-python/black[${PYTHON_USEDEP}]
dev-python/click[${PYTHON_USEDEP}]
- ' python3_{6..8})
+ ' python3_{6..9})
)
"
BDEPEND="
@@ -42,7 +42,7 @@ BDEPEND="
"
python_prepare() {
- if ! use cli || [[ ${EPYTHON} != python3.[678] ]]; then
+ if ! use cli || [[ ${EPYTHON} != python* ]]; then
sed -i -e '/console_scripts/d' setup.py || die
fi
}